%define		php_name	php%{?php_suffix}
%define		modname	oauth
%define		status	stable
Summary:	%{modname} - consumer extension
Summary(pl.UTF-8):	%{modname} - rozszerzenie klienckie
Name:		%{php_name}-pecl-%{modname}
Version:	1.2.3
Release:	5
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	99838d9a04b78058c7360dfd69c8593b
URL:		http://pecl.php.net/package/oauth/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	%{php_name}-hash
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-oauth < 1.2.3-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OAuth is an authorization protocol built on top of HTTP which allows
applications to securely access data without having to store usernames
and passwords.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
OAuth to protokół autoryzacji zbudowany na bazie HTTP pozwalający
aplikacjom na bezpieczny dosŧęp do danych bez potrzeby przechowywania
nazw użytkownika czy haseł.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .
find -newer LICENSE -o -print | xargs touch --reference %{SOURCE0}

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc LICENSE
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed May 21 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-oauth.git;a=log;h=auto/th/php-pecl-oauth-1.2.3-5

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 1aff493
- obsolete old php name
- release 5 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 2717c32
- php 5.5 rebuild
- release 4 (by relup.sh)

* Wed Jan 29 2014 Jan Rękorajski <baggins@pld-linux.org> 524a996
- release 3 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 0d4b13c
- provide php(extname) to really be supporting multiple php versions

* Thu Nov 21 2013 Elan Ruusamäe <glen@delfi.ee> d064574
- up to 1.2.3

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 44c333a
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 2f6b71f
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> c17bf4d
- release 4 (by relup.sh)

* Thu Aug 02 2012 Elan Ruusamäe <glen@delfi.ee> d6026e2
- release 3 (by relup.sh)

* Thu Aug 02 2012 Elan Ruusamäe <glen@delfi.ee> 962ae7d
- release 2 (by relup.sh)

* Fri Oct 28 2011 Elan Ruusamäe <glen@pld-linux.org> 74416c8
- up to 1.2.2

* Sun Jul 03 2011 Adam Gołębiowski <adamg@pld-linux.org> 8d927f5
- updated to 1.2

* Wed Mar 23 2011 Elan Ruusamäe <glen@pld-linux.org> 7dd565b
- avoid 1970 timestamps

* Wed Mar 23 2011 Elan Ruusamäe <glen@pld-linux.org> 87c55d9
- package examples; rel 2

* Wed Mar 23 2011 Elan Ruusamäe <glen@pld-linux.org> 3445bcc
- up to 1.1.0

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f2af67
- release 2

* Thu Jun 03 2010 Elan Ruusamäe <glen@pld-linux.org> 5feade7
- up to 1.0.0-stable

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 838121c
- release 2

* Mon May 11 2009 amateja <amateja@pld-linux.org> af72bc5
- updated to 0.99.9

* Wed May 06 2009 amateja <amateja@pld-linux.org> edf7ca1
- updated to 0.99.8

